votequorum_inst Struct Reference
Collaboration diagram for votequorum_inst:
[legend]

## Data Fields

qb_ipcc_connection_t * | c
int | finalize
void * | context
votequorum_callbacks_t | callbacks

## Detailed Description

Definition at line 61 of file lib/votequorum.c.

## Field Documentation

## c

qb_ipcc_connection_t* votequorum_inst::c

Definition at line 62 of file lib/votequorum.c.

Referenced by votequorum_dispatch(), votequorum_fd_get(), votequorum_getinfo(), votequorum_initialize(), votequorum_qdevice_master_wins(), votequorum_qdevice_poll(), votequorum_qdevice_register(), votequorum_qdevice_unregister(), votequorum_qdevice_update(), votequorum_setexpected(), votequorum_setvotes(), votequorum_trackstart(), and votequorum_trackstop().

## callbacks

votequorum_callbacks_t votequorum_inst::callbacks

Definition at line 65 of file lib/votequorum.c.

Referenced by votequorum_dispatch(), and votequorum_initialize().

## context

void* votequorum_inst::context

Definition at line 64 of file lib/votequorum.c.

Referenced by votequorum_context_get(), and votequorum_context_set().

## finalize

int votequorum_inst::finalize

Definition at line 63 of file lib/votequorum.c.

Referenced by votequorum_dispatch(), votequorum_finalize(), and votequorum_initialize().

The documentation for this struct was generated from the following file:

- lib/votequorum.c